#include <stdio.h>
#include <math.h>
#include <vector>
#include <algorithm>

using namespace std;

int main(){
    int x, n, a;
    int res = 0;
    vector<int> v;
    scanf("%d%d", &n, &x);
    for(int i =0 ;i<n;i ++){

        scanf("%d", &a);
        v.push_back(a);
    }
    v.push_back(x);
    sort(v.begin(), v.end());
    res+=abs(v[0]-v[v.size()-1]);

    if(x>v[0] && x<v[v.size()-1])
        if(x-v[0] > v[v.size()-1]-x)
            res+=v[v.size()-1]-x;
        else
            res+=x-v[0];
    
    printf("%d\n", res);
    return 0;
}